---
title: "列出智能体操作"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/list-agent-actions"
last_updated: 2026-11-05
---

# 列出智能体操作

列出所有智能体操作：名称、级别、MCP 工具和权限范围，以及输入和结果的 JSON Schema。无需 key。每个操作也在下方以 POST /api/agent/actions/{name} 单独列出。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/list-agent-actions

## `GET /api/agent/actions`

`https://tweetstream.io/api/agent/actions`

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `actions` | `object[]`, 必填 |  |
| `actions.cost` | `enum<string>`, 必填 |  |
| `actions.input` | `object`, 必填 |  |
| `actions.mcp` | `object`, 必填 |  |
| `actions.mcp.scope` | `string`, 必填 |  |
| `actions.mcp.tool` | `string`, 必填 |  |
| `actions.method` | `enum<string>`, 必填 |  |
| `actions.name` | `string`, 必填 |  |
| `actions.output` | `object`, 必填 |  |
| `actions.summary` | `string`, 必填 |  |
| `actions.tier` | `enum<string>`, 必填 |  |
| `actions.url` | `string`, 必填 |  |
| `tiers` | `object`, 必填 |  |
| `tiers.confirm` | `string`, 必填 |  |
| `tiers.read` | `string`, 必填 |  |
| `tiers.recent` | `string`, 必填 |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |

### 200

```json
{
  "actions": [
    {
      "cost": "read",
      "input": {},
      "mcp": {
        "scope": "<string>",
        "tool": "<string>"
      },
      "method": "POST",
      "name": "<string>",
      "output": {},
      "summary": "<string>",
      "tier": "read",
      "url": "<string>"
    }
  ],
  "tiers": {
    "confirm": "<string>",
    "read": "<string>",
    "recent": "<string>"
  }
}
```

## 代码示例

### cURL

```bash
curl --request GET \
  --url https://tweetstream.io/api/agent/actions
```

### JavaScript

```javascript
const response = await fetch("https://tweetstream.io/api/agent/actions", {
  method: "GET",
});

console.log(response.status, await response.json());
```

### Python

```python
import requests

response = requests.get(
    "https://tweetstream.io/api/agent/actions",
)

print(response.status_code, response.json())
```
